﻿using Hotline.CallCenter.BlackLists;
using Hotline.Push.FWMessage;
using Hotline.Settings;
using Hotline.Share.Dtos.CallCenter;
using Hotline.Share.Dtos.Org;
using Hotline.Share.Dtos.Push.FWMessage;
using Mapster;
using XF.Domain.Entities;

namespace Hotline.Application.Mappers
{
    public partial class MapperConfigs : IRegister
    {
        public void Register(TypeAdapterConfig config)
        {
            config.ForType<AddBlacklistDto, Blacklist>()
                .Ignore(d => d.Expired)
                .AfterMapping((s, t) => t.InitExpired());

            config.ForType<Message, MessageDataDto>()
               .Map(d => d.SendUser, x => x.CreatorName)
               .Map(d => d.SendOrganize, x => x.CreatorOrgName)
               .IgnoreIf((s, d) => s.Order == null, x => x.OrderId)
               .IgnoreIf((s, d) => s.Order == null, x => x.OrderNo);

            #region org

            config.ForType<UpdateOrgDto, SystemOrganize>()
                .Ignore(d => d.Id)
                .Ignore(d => d.ParentId)
                .Ignore(d => d.ParentName);

            #endregion
        }
    }
}
