﻿using Hotline.Settings;
using Hotline.Share.Enums.Order;
using Hotline.Share.Requests;
using XF.Utility.EnumExtensions;

namespace Hotline.Share.Dtos.Order
{
	public class OrderBiOrgDataListVo
	{
		public string OrgName { get; set; }

		public string OrgId { get; set; }

		public int HandlerExtendedNum { get; set; }

		public int CounterHandlerExtendedNum { get; set; }

		public int NoHandlerExtendedNum { get; set; }

		public int CounterNoHandlerExtendedNum { get; set; }

		public int Subtotal => HandlerExtendedNum + CounterHandlerExtendedNum + NoHandlerExtendedNum + CounterNoHandlerExtendedNum;
	}

	public class OrderBiCentreDataListVo
	{
		public string UserName { get; set; }

		public string UserId { get; set; }

		public int CentreArchive { get; set; }

		public int CentreCareOf { get; set; }

		public int NoCentreCareOf { get; set; }

		public int Invalid { get; set; }

		public int Repeat { get; set; }

		public int Subtotal => CentreArchive + CentreCareOf + NoCentreCareOf + Invalid + Repeat;
	}

	public class OrderBiSpecialListVo
	{
		public string Cause { get; set; }

		public int OrderNum { get; set; }

		public DateTime MaxSpecialTime { get; set; }
	}

	public class HotspotDataLsitVo { 
		public string Name { get; set;}

		public string Id { get; set; }

		public int Num { get; set; }
		public bool Sublevel { get; set; }

		List<HotspotDataLsitVo> Children { get; set; }
	}


	public class AcceptTypeTop10Volod {
		/// <summary>
		/// 热点名称
		/// </summary>
		public string Name { get; set; }

		/// <summary>
		/// 受理类型ID
		/// </summary>
		public string Id { get; set; }

		/// <summary>
		/// 受理类型名称
		/// </summary>
		public string AcceptName { get; set; }

		/// <summary>
		/// 数量
		/// </summary>
		public int Num { get; set; }
	}

	public class AcceptTypeTop10Vo
	{
		/// <summary>
		/// 热点名称
		/// </summary>
		public string Name { get; set; }

		/// <summary>
		/// 有效受理
		/// </summary>
		public int ValidAccept { get; set; }

		/// <summary>
		/// 咨询
		/// </summary>
		public int Consult { get; set; }

		/// <summary>
		/// 举报
		/// </summary>

		public int Report { get; set; }

		/// <summary>
		/// 投诉
		/// </summary>
		public int Complaint { get; set; }

		/// <summary>
		/// 求助
		/// </summary>
		public int SeekHelp { get; set; }

		/// <summary>
		/// 建议
		/// </summary>
		public int Suggest { get; set; }

		/// <summary>
		/// 意见
		/// </summary>
		public int Opinion { get; set; }

		/// <summary>
		/// 其他
		/// </summary>
		public int Rests { get; set; }

		/// <summary>
		/// 惠民帮助
		/// </summary>
		public int BenefitThePeople { get; set; }

		/// <summary>
		/// 表扬
		/// </summary>
		public int Praise { get; set; }
	}

	public class BiOrderDelayDataDto
	{
		/// <summary>
		/// 部门名称
		/// </summary>
		public string OrgName { get; set; }
		/// <summary>
		/// 部门code
		/// </summary>
		public string OrgCode { get; set; }
		/// <summary>
		/// 小计
		/// </summary>
		public int AllTotal { get; set; }
		/// <summary>
		/// 已同意次数
		/// </summary>
		public int PassTotal { get; set; }
		/// <summary>
		/// 未同意次数
		/// </summary>
		public int NoPassTotal { get; set; }
		/// <summary>
		/// 审批中次数
		/// </summary>
		public int ExaminingTotal { get; set; }

    }

	public class VisitMeasureStatisticsDto
	{
		public string VisitName { get; set; }

		public int AiVisitCount { get; set; }

		public int ArtificialVisitCount { get; set; }

		public int SumCount { get; set; }
    }


	public class VisitAndOrgSatisfactionStatisticsDto
	{
		public string OrgName { get; set; }

		public string OrgCode { get; set; }

		public EOrgType OrgType { get; set; }

        /// <summary>
        /// 总数
        /// </summary>
        public int TotalSumCount { get; set; }

		/// <summary>
		/// 总满意度
		/// </summary>
		public double TotalSumRate { get; set; }

		/// <summary>
		/// 非常满意数
		/// </summary>
		public int VerySatisfiedCount { get; set; }

		/// <summary>
		/// 非常满意率
		/// </summary>
		public double VerySatisfiedRate { get; set; }

		/// <summary>
		/// 满意数
		/// </summary>
		public int SatisfiedCount { get; set; }

		/// <summary>
		/// 满意率
		/// </summary>
		public double SatisfiedRate { get; set; }

		/// <summary>
		/// 一般满意数
		/// </summary>
		public int GeneralSatisfiedCount { get; set; }

		/// <summary>
		/// 一般满意率
		/// </summary>
		public double GeneralSatisfiedRate { get; set; }

		/// <summary>
		/// 不满意数
		/// </summary>
		public int NoSatisfiedCount { get; set; }

		/// <summary>
		/// 不满意率
		/// </summary>
		public  double NoSatisfiedRate { get; set; }

		/// <summary>
		/// 非常不满意数
		/// </summary>
		public int VeryNoSatisfiedCount { get; set; }

		/// <summary>
		/// 非常不满意率
		/// </summary>
		public double VeryNoSatisfiedRate { get; set; }

		/// <summary>
		/// 未做评价数
		/// </summary>
		public int NoEvaluateCount { get; set; }

		/// <summary>
		/// 未做评价率
		/// </summary>
		public double NoEvaluateRate { get; set; }

		/// <summary>
		/// 未接通数
		/// </summary>
		public int NoPutThroughCount { get; set; }

		/// <summary>
		/// 未接通率
		/// </summary>
		public double NoPutThroughRate { get; set; }
    }

	public class BiOrderSendDto { 
	
	} 
}
